NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsStreamStateSubjects Struct Reference
Types

`#include <nats.h>`

## Public Attributes
jsStreamStateSubject * | List
int | Count

## Detailed Description

List of subjects optionally returned in the stream information request.

This structure indicates the number of elements in the list, that is, the list contains `Count` jsStreamStateSubject elements.

To get this list in jsStreamState, you have to ask for it through jsOptions.

jsStreamInfo *si = NULL;
jsOptions o;
jsOptions_Init(&o);
o.Stream.Info.SubjectsFilter = "foo.>";
s = js_GetStreamInfo(&si, js, "MY_STREAM", &o, &jerr);
// handle errors and assume si->State.Subjects is not NULL
for (i=0; i<si->State.Subjects->Count; i++)
{
jsStreamStateSubject *subj = &(si->State.Subjects->List[i]);
printf("Subject=%s Messages count=%d\n", subj->Subject, (int) subj->Msgs);
}

See also
  jsStreamStateSubject
  js_GetStreamInfo
  jsOptions.Stream.Info.SubjectsFilter

## Member Data Documentation

## ◆ List

jsStreamStateSubject* jsStreamStateSubjects::List

## ◆ Count

int jsStreamStateSubjects::Count

The documentation for this struct was generated from the following file:

- nats.h